print.power.htest {stats} | R Documentation

## Print Methods for Hypothesis Tests and Power Calculation Objects

### Description

Printing objects of class `"htest"` or `"power.htest"`, respectively, by simple `print` methods.

### Usage

    ## S3 method for class 'htest'
    print(x, digits = getOption("digits"), prefix = "\t", ...)

    ## S3 method for class 'power.htest'
    print(x, digits = getOption("digits"), ...)

### Arguments

`x` | object of class `"htest"` or `"power.htest"`.
`digits` | number of significant digits to be used.
`prefix` | string, passed to `strwrap` for displaying the `method` component of the `htest` object.
`...` | further arguments to be passed to or from methods.

### Details

Both `print` methods traditionally have not obeyed the `digits` argument properly. They now do, the `htest` method mostly in expressions like `max(1, digits - 2)`.

A `power.htest` object is just a named list of numbers and character strings, supplemented with `method` and `note` elements. The `method` is displayed as a title, the `note` as a footnote, and the remaining elements are given in an aligned ‘name = value’ format.

### Value

the argument `x`, invisibly, as for all `print` methods.

### Author(s)

Peter Dalgaard

### See Also

`power.t.test`, `power.prop.test`

### Examples

    (ptt <- power.t.test(n = 20, delta = 1))
    print(ptt, digits =  4) # using less digits than default
    print(ptt, digits = 12) # using more  "       "     "

[Package stats version 3.6.0 Index]